package com.ym.mec.biz.service;

import com.ym.mec.biz.dal.dto.LiveGoodsMapperDto;
import com.ym.mec.biz.dal.entity.LiveGoodsMapper;
import com.ym.mec.biz.dal.page.LiveGoodsMapperQueryInfo;
import com.ym.mec.common.page.PageInfo;
import com.ym.mec.common.service.BaseService;

import java.util.List;

public interface LiveGoodsMapperService extends BaseService<Integer, LiveGoodsMapper> {

    //新增直播间商品
    void add(String liveId, String liveGoodsIds);

    //商品下架
    void downGoods(Integer liveGoodsId);

    //商品下架
    void downGoods(Integer liveGoodsId, String liveId);

    //商品下架
    void downGoods(String liveId);

    //商品上架
    void upGoods(Integer liveGoodsId, String liveId);

    List<LiveGoodsMapper> findByLiveGoodsIdAndStatus(Integer goodsId, Boolean status);

    //分页查询
    PageInfo<LiveGoodsMapperDto> queryGoodsPage(LiveGoodsMapperQueryInfo queryInfo);

    List<LiveGoodsMapperDto> getLiveGoodsList(String liveId, Integer liveGoodsId, Boolean status);

    List<Integer> queryGoodsIdsByLiveId(String liveId);
}